Bug 1863 - Server not responding to net bios name calls
Server not responding to net bios name calls
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.7
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 06:57 UTC by Dusan Djordjevic
Modified: 2004-10-29 08:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Djordjevic 2004-10-01 06:57:13 UTC
I use Samba 3.0.7-1 (deb binary packages downloaded from Samba site) on Debian Woody. I use it 
in local workgroup. Previously I used version 2.2.9 on same machine. testparm shows that config 
file is OK. After upgrade (with all neccessary packages) Samba to 3.0.7 server stopped respondind 
on net bios name. Everything works normally when accessing server using IP, but using net bios 
name cannot be resolved. nmbd is running properly. It sometimes becames local master browser, 
all other names (tested using nmblookup from that server and other local machines) can be 
resolved properly, except this server.
Comment 1 Dusan Djordjevic 2004-10-04 11:47:29 UTC
I use Samba on network alias interface. I wanted it to be available only on that interface, so it wos 
configured by this: 
 
interfaces = 192.168.0.50 127.0.0.1 
bind interfaces only = Yes 
socket address = 192.168.0.50 
 
when i deleted last line (socket interfaces) everything started working normally. 
Comment 2 Gerald (Jerry) Carter 2004-10-29 08:03:48 UTC
side effect of the socket address param.  Not changing this unless we get more
pressure.